import 'package:flutter/material.dart';
import 'package:labs_petrushin/Presentation/home_page/bloc/bloc.dart';
import 'package:labs_petrushin/repositories/food_repository.dart';
import 'home_page/home_page.dart';
import 'package:flutter_bloc/flutter_bloc.dart';


void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Petrushin demo',
      theme: ThemeData(
        colorScheme: ColorScheme.fromSeed(seedColor: Colors.red),
        useMaterial3: true,
      ),
      home: RepositoryProvider<FoodRepository>(
        lazy: true,
        create: (_) => FoodRepository(),
        child: BlocProvider<HomeBloc>(
          lazy: false,
          create: (context) => HomeBloc(context.read<FoodRepository>()),
          child: const MyHomePage(title: 'Петрушин Егор Александрович',),
        )
      )
    );
  }
}



